Subject: Re: [dhcwg] Review of draft-ietf-dhc-dynamic-shared-v4allocation-02

From: "Bernie Volz (volz)" <[email-masked]>
Date: Sat, 1 Nov 2014 19:38:18 +0000

Tom:

I assume you also support the document moving forward (once issues corrected)? While the WGLC technically ended Oct 27, Tomek and I still haven't had a chance to review and finalize the WGLC so your input is useful! And, a new draft to address the issues reported will be needed in any case.

Thanks for the careful review.

- Bernie

-----Original Message-----
From: dhcwg [mailto:[email-masked]] On Behalf Of Tom Taylor
Sent: Thursday, October 30, 2014 7:19 PM
To: [email-masked] WG; [email-masked]
Subject: [dhcwg] Review of draft-ietf-dhc-dynamic-shared-v4allocation-02

Hi. Thought I'd respond to the call for review.

Tom Taylor

Summary:

Major issues:

Minor issues:

1) There seems to be an inconsistency between Section 5 and 7 and Section 6 on the other:

Sec. 5 and 7: The client MAY insert an
        OPTION_V4_PORTPARAMS with a non-zero value in the PSID-Len field
        to indicate a preferred size for the restricted port set to the
        DHCP 4o6 Server.

Sec. 6, third bullet:
     o  The address requested in the 'Requested IP Address' option along
       with the PSID in the OPTION_V4_PORTPARAMS, if the requested pair
       of address and PSID is valid and not already allocated

So which is it, PSID value or (much trickier to manage) PSID length? In the latter case, I can see garbage collection issues, as the PSID space gets fragmented by repeated client attachments and detachments from the network.

2) The operator configures a reserved set of ports. The advice on PSID assignment to exclude these ports at the end of Section 8 has a SHOULD NOT. Under what circumstances would the server violate its configured policy?

Editorial and nits:

1) Abstract, first sentence of second paragraph:

OLD

    Due to the nature of IP addresses sharing, some limitations to their
    applicability are necessary.

NEW

    Due to the nature of IP address sharing, some limitations to its
    applicability are necessary.  ^^                             ^^^

In English, "address" is sort of a kludged noun-turned-adjective modifying "sharing" and "IP address sharing" is a singular subject.

2) Section 2, RFC 2119 reference is duplicated.

3) Section 6, end of second last paragraph: s/messages/message/.

4) Section 7.1, first bullet, rewrite in active voice:

OLD

    o  Only port-aware protocols or ICMP implementing [RFC5508] MUST be
       used.
  (Doesn't quite say what you want.)

NEW

    o  The client MUST use only port-aware protocols or ICMP implementing [RFC5508].

5) Section 8, fourth bullet below Figure 1, s/valid/the value/

6) Section 8, final paragraph, for accuracy and consistency with previous text. The SHOULD NOT as opposed to MUST NOT is questioned above as a minor issue.

OLD

  In order to exclude the system ports ([RFC6335]) or ports saved by
    ISPs, the former port-sets that contain well-known ports SHOULD NOT
    be assigned.

NEW

Some PSIDs may include ports within ranges excluded by the operator (e.g., the well-known ports 0-1023). These SHOULD NOT be assigned to any client.

_______________________________________________
dhcwg mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/dhcwg

---

From: Tom Taylor <[email-masked]>
Date: Sat, 01 Nov 2014 16:14:57 -0400

Yes, supported.

On 01/11/2014 3:38 PM, Bernie Volz (volz) wrote:
> Tom:
>
> I assume you also support the document moving forward (once issues
> corrected)? While the WGLC technically ended Oct 27, Tomek and I
> still haven't had a chance to review and finalize the WGLC so your
> input is useful! And, a new draft to address the issues reported will
> be needed in any case.
>
> -----Original Message----- From: dhcwg
> [mailto:[email-masked]] On Behalf Of Tom Taylor Sent:
> Thursday, October 30, 2014 7:19 PM To: [email-masked] WG;
> [email-masked]
> Subject: [dhcwg] Review of
> draft-ietf-dhc-dynamic-shared-v4allocation-02
>
> Sec. 5 and 7: The client MAY insert an OPTION_V4_PORTPARAMS with a
> non-zero value in the PSID-Len field to indicate a preferred size for
> the restricted port set to the DHCP 4o6 Server.
>
> Sec. 6, third bullet: o  The address requested in the 'Requested IP
> Address' option along with the PSID in the OPTION_V4_PORTPARAMS, if
> the requested pair of address and PSID is valid and not already
> allocated
>
> So which is it, PSID value or (much trickier to manage) PSID length?
> In the latter case, I can see garbage collection issues, as the PSID
> space gets fragmented by repeated client attachments and detachments
> from the network.
>
> 2) The operator configures a reserved set of ports. The advice on
> PSID assignment to exclude these ports at the end of Section 8 has a
> SHOULD NOT. Under what circumstances would the server violate its
> configured policy?
>
>
> Editorial and nits:
>
> In English, "address" is sort of a kludged noun-turned-adjective
> modifying "sharing" and "IP address sharing" is a singular subject.
>
> used. (Doesn't quite say what you want.)
>
> NEW
>
> 6) Section 8, final paragraph, for accuracy and consistency with
> previous text. The SHOULD NOT as opposed to MUST NOT is questioned
> above as a minor issue.
>
> OLD
>
> Some PSIDs may include ports within ranges excluded by the operator
> (e.g., the well-known ports 0-1023). These SHOULD NOT be assigned to
> any client.
>
> _______________________________________________ dhcwg mailing list
> [email-masked] https://www.ietf.org/mailman/listinfo/dhcwg
>